<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CostCategorySearch StructType
 * @subpackage Structs
 */
class CostCategorySearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CostCategorySearchBasic
     */
    public $basic;
    /**
     * The accountJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\AccountSearchBasic
     */
    public $accountJoin;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for CostCategorySearch
     * @uses CostCategorySearch::setBasic()
     * @uses CostCategorySearch::setAccountJoin()
     * @uses CostCategorySearch::setTransactionJoin()
     * @param \StructType\CostCategorySearchBasic $basic
     * @param \StructType\AccountSearchBasic $accountJoin
     * @param \StructType\TransactionSearchBasic $transactionJoin
     */
    public function __construct(\StructType\CostCategorySearchBasic $basic = null, \StructType\AccountSearchBasic $accountJoin = null, \StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setAccountJoin($accountJoin)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\CostCategorySearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\CostCategorySearchBasic $basic
     * @return \StructType\CostCategorySearch
     */
    public function setBasic(\StructType\CostCategorySearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get accountJoin value
     * @return \StructType\AccountSearchBasic|null
     */
    public function getAccountJoin()
    {
        return $this->accountJoin;
    }
    /**
     * Set accountJoin value
     * @param \StructType\AccountSearchBasic $accountJoin
     * @return \StructType\CostCategorySearch
     */
    public function setAccountJoin(\StructType\AccountSearchBasic $accountJoin = null)
    {
        $this->accountJoin = $accountJoin;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchBasic $transactionJoin
     * @return \StructType\CostCategorySearch
     */
    public function setTransactionJoin(\StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
